package monitoring;

import static monitoring.MonitoringServiceGrpc.getServiceDescriptor;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;

@javax.annotation.Generated(
value = "by Mutiny Grpc generator",
comments = "Source: monitoring.proto")
public final class MutinyMonitoringServiceGrpc implements io.quarkus.grpc.runtime.MutinyGrpc {
    private MutinyMonitoringServiceGrpc() {}

    public static MutinyMonitoringServiceStub newMutinyStub(io.grpc.Channel channel) {
        return new MutinyMonitoringServiceStub(channel);
    }

    
    public static final class MutinyMonitoringServiceStub extends io.grpc.stub.AbstractStub<MutinyMonitoringServiceStub> implements io.quarkus.grpc.runtime.MutinyStub {
        private MonitoringServiceGrpc.MonitoringServiceStub delegateStub;

        private MutinyMonitoringServiceStub(io.grpc.Channel channel) {
            super(channel);
            delegateStub = MonitoringServiceGrpc.newStub(channel);
        }

        private MutinyMonitoringServiceStub(io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
            super(channel, callOptions);
            delegateStub = MonitoringServiceGrpc.newStub(channel).build(channel, callOptions);
        }

        @Override
        protected MutinyMonitoringServiceStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
            return new MutinyMonitoringServiceStub(channel, callOptions);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiId> createKpi(monitoring.Monitoring.KpiDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::createKpi);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiDescriptor(monitoring.Monitoring.EditedKpiDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::editKpiDescriptor);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> deleteKpi(monitoring.Monitoring.KpiId request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::deleteKpi);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiDescriptorList> getKpiDescriptorList(context.ContextOuterClass.Empty request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getKpiDescriptorList);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiId> createBundleKpi(monitoring.Monitoring.BundleKpiDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::createBundleKpi);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiDescriptor> getKpiDescriptor(monitoring.Monitoring.KpiId request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getKpiDescriptor);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> includeKpi(monitoring.Monitoring.Kpi request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::includeKpi);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> monitorKpi(monitoring.Monitoring.MonitorKpiRequest request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::monitorKpi);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiList> queryKpiData(monitoring.Monitoring.KpiQuery request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::queryKpiData);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.SubsDescriptor> getSubsDescriptor(monitoring.Monitoring.SubscriptionID request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getSubsDescriptor);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.SubsIDList> getSubscriptions(context.ContextOuterClass.Empty request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getSubscriptions);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiSubscription(monitoring.Monitoring.SubsDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::editKpiSubscription);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmID> createKpiAlarm(monitoring.Monitoring.AlarmDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::createKpiAlarm);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiAlarm(monitoring.Monitoring.AlarmDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::editKpiAlarm);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmIDList> getAlarms(context.ContextOuterClass.Empty request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getAlarms);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmDescriptor> getAlarmDescriptor(monitoring.Monitoring.AlarmID request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToOne(request, delegateStub::getAlarmDescriptor);
        }

        
        public io.smallrye.mutiny.Multi<monitoring.Monitoring.KpiList> subscribeKpi(monitoring.Monitoring.SubsDescriptor request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToMany(request, delegateStub::subscribeKpi);
        }

        
        public io.smallrye.mutiny.Multi<monitoring.Monitoring.AlarmResponse> getAlarmResponseStream(monitoring.Monitoring.AlarmID request) {
            return io.quarkus.grpc.runtime.ClientCalls.oneToMany(request, delegateStub::getAlarmResponseStream);
        }

    }

    
    public static abstract class MonitoringServiceImplBase implements io.grpc.BindableService {

        private String compression;
        /**
        * Set whether the server will try to use a compressed response.
        *
        * @param compression the compression, e.g {@code gzip}
        */
        public MonitoringServiceImplBase withCompression(String compression) {
        this.compression = compression;
        return this;
        }


        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiId> createKpi(monitoring.Monitoring.KpiDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiDescriptor(monitoring.Monitoring.EditedKpiDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> deleteKpi(monitoring.Monitoring.KpiId request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiDescriptorList> getKpiDescriptorList(context.ContextOuterClass.Empty request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiId> createBundleKpi(monitoring.Monitoring.BundleKpiDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiDescriptor> getKpiDescriptor(monitoring.Monitoring.KpiId request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> includeKpi(monitoring.Monitoring.Kpi request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> monitorKpi(monitoring.Monitoring.MonitorKpiRequest request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.KpiList> queryKpiData(monitoring.Monitoring.KpiQuery request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.SubsDescriptor> getSubsDescriptor(monitoring.Monitoring.SubscriptionID request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.SubsIDList> getSubscriptions(context.ContextOuterClass.Empty request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiSubscription(monitoring.Monitoring.SubsDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmID> createKpiAlarm(monitoring.Monitoring.AlarmDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<context.ContextOuterClass.Empty> editKpiAlarm(monitoring.Monitoring.AlarmDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmIDList> getAlarms(context.ContextOuterClass.Empty request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Uni<monitoring.Monitoring.AlarmDescriptor> getAlarmDescriptor(monitoring.Monitoring.AlarmID request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Multi<monitoring.Monitoring.KpiList> subscribeKpi(monitoring.Monitoring.SubsDescriptor request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        
        public io.smallrye.mutiny.Multi<monitoring.Monitoring.AlarmResponse> getAlarmResponseStream(monitoring.Monitoring.AlarmID request) {
            throw new io.grpc.StatusRuntimeException(io.grpc.Status.UNIMPLEMENTED);
        }

        @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
            return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getCreateKpiMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.KpiDescriptor,
                                            monitoring.Monitoring.KpiId>(
                                            this, METHODID_CREATE_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getEditKpiDescriptorMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.EditedKpiDescriptor,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_EDIT_KPI_DESCRIPTOR, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getDeleteKpiMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.KpiId,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_DELETE_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetKpiDescriptorListMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            context.ContextOuterClass.Empty,
                                            monitoring.Monitoring.KpiDescriptorList>(
                                            this, METHODID_GET_KPI_DESCRIPTOR_LIST, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getCreateBundleKpiMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.BundleKpiDescriptor,
                                            monitoring.Monitoring.KpiId>(
                                            this, METHODID_CREATE_BUNDLE_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetKpiDescriptorMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.KpiId,
                                            monitoring.Monitoring.KpiDescriptor>(
                                            this, METHODID_GET_KPI_DESCRIPTOR, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getIncludeKpiMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.Kpi,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_INCLUDE_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getMonitorKpiMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.MonitorKpiRequest,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_MONITOR_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getQueryKpiDataMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.KpiQuery,
                                            monitoring.Monitoring.KpiList>(
                                            this, METHODID_QUERY_KPI_DATA, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getSubscribeKpiMethod(),
                            asyncServerStreamingCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.SubsDescriptor,
                                            monitoring.Monitoring.KpiList>(
                                            this, METHODID_SUBSCRIBE_KPI, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetSubsDescriptorMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.SubscriptionID,
                                            monitoring.Monitoring.SubsDescriptor>(
                                            this, METHODID_GET_SUBS_DESCRIPTOR, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetSubscriptionsMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            context.ContextOuterClass.Empty,
                                            monitoring.Monitoring.SubsIDList>(
                                            this, METHODID_GET_SUBSCRIPTIONS, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getEditKpiSubscriptionMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.SubsDescriptor,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_EDIT_KPI_SUBSCRIPTION, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getCreateKpiAlarmMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.AlarmDescriptor,
                                            monitoring.Monitoring.AlarmID>(
                                            this, METHODID_CREATE_KPI_ALARM, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getEditKpiAlarmMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.AlarmDescriptor,
                                            context.ContextOuterClass.Empty>(
                                            this, METHODID_EDIT_KPI_ALARM, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetAlarmsMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            context.ContextOuterClass.Empty,
                                            monitoring.Monitoring.AlarmIDList>(
                                            this, METHODID_GET_ALARMS, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetAlarmDescriptorMethod(),
                            asyncUnaryCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.AlarmID,
                                            monitoring.Monitoring.AlarmDescriptor>(
                                            this, METHODID_GET_ALARM_DESCRIPTOR, compression)))
                    .addMethod(
                            monitoring.MonitoringServiceGrpc.getGetAlarmResponseStreamMethod(),
                            asyncServerStreamingCall(
                                    new MethodHandlers<
                                            monitoring.Monitoring.AlarmID,
                                            monitoring.Monitoring.AlarmResponse>(
                                            this, METHODID_GET_ALARM_RESPONSE_STREAM, compression)))
                    .build();
        }
    }

    private static final int METHODID_CREATE_KPI = 0;
    private static final int METHODID_EDIT_KPI_DESCRIPTOR = 1;
    private static final int METHODID_DELETE_KPI = 2;
    private static final int METHODID_GET_KPI_DESCRIPTOR_LIST = 3;
    private static final int METHODID_CREATE_BUNDLE_KPI = 4;
    private static final int METHODID_GET_KPI_DESCRIPTOR = 5;
    private static final int METHODID_INCLUDE_KPI = 6;
    private static final int METHODID_MONITOR_KPI = 7;
    private static final int METHODID_QUERY_KPI_DATA = 8;
    private static final int METHODID_SUBSCRIBE_KPI = 9;
    private static final int METHODID_GET_SUBS_DESCRIPTOR = 10;
    private static final int METHODID_GET_SUBSCRIPTIONS = 11;
    private static final int METHODID_EDIT_KPI_SUBSCRIPTION = 12;
    private static final int METHODID_CREATE_KPI_ALARM = 13;
    private static final int METHODID_EDIT_KPI_ALARM = 14;
    private static final int METHODID_GET_ALARMS = 15;
    private static final int METHODID_GET_ALARM_DESCRIPTOR = 16;
    private static final int METHODID_GET_ALARM_RESPONSE_STREAM = 17;

    private static final class MethodHandlers<Req, Resp> implements
            io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
            io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
            io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
            io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
        private final MonitoringServiceImplBase serviceImpl;
        private final int methodId;
        private final String compression;

        MethodHandlers(MonitoringServiceImplBase serviceImpl, int methodId, String compression) {
            this.serviceImpl = serviceImpl;
            this.methodId = methodId;
            this.compression = compression;
        }

        @java.lang.Override
        @java.lang.SuppressWarnings("unchecked")
        public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
            switch (methodId) {
                case METHODID_CREATE_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.KpiDescriptor) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiId>) responseObserver,
                            compression,
                            serviceImpl::createKpi);
                    break;
                case METHODID_EDIT_KPI_DESCRIPTOR:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.EditedKpiDescriptor) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::editKpiDescriptor);
                    break;
                case METHODID_DELETE_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.KpiId) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::deleteKpi);
                    break;
                case METHODID_GET_KPI_DESCRIPTOR_LIST:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((context.ContextOuterClass.Empty) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiDescriptorList>) responseObserver,
                            compression,
                            serviceImpl::getKpiDescriptorList);
                    break;
                case METHODID_CREATE_BUNDLE_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.BundleKpiDescriptor) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiId>) responseObserver,
                            compression,
                            serviceImpl::createBundleKpi);
                    break;
                case METHODID_GET_KPI_DESCRIPTOR:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.KpiId) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiDescriptor>) responseObserver,
                            compression,
                            serviceImpl::getKpiDescriptor);
                    break;
                case METHODID_INCLUDE_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.Kpi) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::includeKpi);
                    break;
                case METHODID_MONITOR_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.MonitorKpiRequest) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::monitorKpi);
                    break;
                case METHODID_QUERY_KPI_DATA:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.KpiQuery) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiList>) responseObserver,
                            compression,
                            serviceImpl::queryKpiData);
                    break;
                case METHODID_SUBSCRIBE_KPI:
                    io.quarkus.grpc.runtime.ServerCalls.oneToMany((monitoring.Monitoring.SubsDescriptor) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.KpiList>) responseObserver,
                            compression,
                            serviceImpl::subscribeKpi);
                    break;
                case METHODID_GET_SUBS_DESCRIPTOR:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.SubscriptionID) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.SubsDescriptor>) responseObserver,
                            compression,
                            serviceImpl::getSubsDescriptor);
                    break;
                case METHODID_GET_SUBSCRIPTIONS:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((context.ContextOuterClass.Empty) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.SubsIDList>) responseObserver,
                            compression,
                            serviceImpl::getSubscriptions);
                    break;
                case METHODID_EDIT_KPI_SUBSCRIPTION:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.SubsDescriptor) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::editKpiSubscription);
                    break;
                case METHODID_CREATE_KPI_ALARM:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.AlarmDescriptor) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.AlarmID>) responseObserver,
                            compression,
                            serviceImpl::createKpiAlarm);
                    break;
                case METHODID_EDIT_KPI_ALARM:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.AlarmDescriptor) request,
                            (io.grpc.stub.StreamObserver<context.ContextOuterClass.Empty>) responseObserver,
                            compression,
                            serviceImpl::editKpiAlarm);
                    break;
                case METHODID_GET_ALARMS:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((context.ContextOuterClass.Empty) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.AlarmIDList>) responseObserver,
                            compression,
                            serviceImpl::getAlarms);
                    break;
                case METHODID_GET_ALARM_DESCRIPTOR:
                    io.quarkus.grpc.runtime.ServerCalls.oneToOne((monitoring.Monitoring.AlarmID) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.AlarmDescriptor>) responseObserver,
                            compression,
                            serviceImpl::getAlarmDescriptor);
                    break;
                case METHODID_GET_ALARM_RESPONSE_STREAM:
                    io.quarkus.grpc.runtime.ServerCalls.oneToMany((monitoring.Monitoring.AlarmID) request,
                            (io.grpc.stub.StreamObserver<monitoring.Monitoring.AlarmResponse>) responseObserver,
                            compression,
                            serviceImpl::getAlarmResponseStream);
                    break;
                default:
                    throw new java.lang.AssertionError();
            }
        }

        @java.lang.Override
        @java.lang.SuppressWarnings("unchecked")
        public io.grpc.stub.StreamObserver<Req> invoke(io.grpc.stub.StreamObserver<Resp> responseObserver) {
            switch (methodId) {
                default:
                    throw new java.lang.AssertionError();
            }
        }
    }

}